package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgCh4;
import com.szpg.db.data.PgCh4Alm;

/**
 * 甲烷相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgCh4Dao {

	/******** 甲烷浓度变量值 ********/
	public List<PgCh4> findAllPblz();
	public PgCh4 findPblzById(Integer id);
	
	public List<PgCh4> findPblzByDevice(Integer deviceid);
	public List<PgCh4> findPblzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addPblzRecord(PgCh4 ch4);
	public int addPblzRecord(float value, String tm, int deviceid);
	
	
	/******** 甲烷浓度报警状态 ********/
	public List<PgCh4Alm> findAllSbjz();
	public PgCh4Alm findSbjzById(Integer id);
	
	public List<PgCh4Alm> findSbjzByDevice(Integer deviceid);
	public List<PgCh4Alm> findSbjzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addSbjzRecord(PgCh4Alm ch4alm);
	public int addSbjzRecord(boolean status, String tm, int deviceid);
}
